@import '../../styles/color.scss';

.myTasksWrapper {
  margin: 0 auto;
  width: 100%;
  max-width: 1080px;
  margin-bottom: 10px;
  h3 {
    font-size: 40px;
    font-weight: 700;
    color: color( green, base);
    text-align: center;
  }

  .myTasks {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  .categories {
    display: inline-block;
    padding: 0;
    margin: 10px 51px;
    width: 100%;
    max-width: 366px;
    vertical-align: top;
    min-height: 170px;

    h4 {
      font-size: 24px;
      font-weight: 700;
      color: #2f2f2f;
      margin-bottom: 27px;
    }
  }
  .categories:first-child {
    border-right: 2px solid rgba(151, 151, 151, 0.6);
  }
  
  @media screen and (max-width: 935px) {
    .categories:first-child {
      border-right: none;
      border-bottom: 1px solid rgba(151, 151, 151, 0.4);
      padding-bottom: 7px;
    }
    .myDetailsWrapper .btn-myTasks {
      width: 100%;
      max-width: 264px;
    }

    .categories:last-child h4:before {
      content: '';
      display: inline-block;
      width: 0;
      height: 0;
      margin-right: 10px;
      border-top: 8px solid transparent;
      border-bottom: 8px solid transparent;
      
      border-left: 8px solid #2F2F2F;
    }
    .categories:last-child .myTaskContainer {
      display: none;
    }
    .categories.open:last-child .myTaskContainer {
      display: inline-block;
    }
  }
  @media screen and (max-width: 500px) {
    .categories {
      margin: 10px 28px;
    }
    .header {
      margin: 0;
      background-color: #fff7d2;
      flex-wrap: wrap;
    }
    .header button:first-child {
      margin: 7px;
      margin-left: 28px;
    }
    .header h3 {
      text-align:left;
      width: 100%;
      background: white;
      margin-bottom: -1px;
      font-size: 20px;
      font-weight: 700;
      color: #2f2f2f;
      padding-top: 26px;
      padding-bottom: 5px;
    }
    .header h3 div {
      max-width: 264px;
      padding-left: 30px;
    }
    .header button:last-child {
      display: none;

    }
  }
}

.header {
  display: flex;
  justify-content: space-between;
  margin-top: 65px;
  margin-bottom: 85px;

}

.myTaskDarkButton {
  width: 100%;
  background-color: color(green, base);
  text-align: center;
  border-radius: 2.68px;
  font-size: 12px;
  font-weight: 700;
  color: white;
  border: none;
  padding: 7px;
  margin-top: 22px;
}

.myDetailsWrapper {
  margin: 72px auto 135px auto;
  text-align: center;
}

.myDetails {
  text-align:left;
  display: inline-block;
  margin: 35px 0 60px 0;
}


@mixin btn {
  padding: 11px 16px;
  color: #2f2f2f;
  border: 0;
  font-size: 16px;
  top: auto;
  height: 40px;
  margin-right: 10px;
  font-weight: bold;
  line-height: 18px;

  &:hover {
    cursor: pointer;
  }
}

.btn-myTasks {
  @include btn;
  background-color: color(yellow, base);
  border-radius: 5px;
}
